Skip to main content

Coloured Stock to Flow

coloured-stock-to-flow

Chart: Coloured Stock to Flow

Parameters

NameTypeDescriptionRequired
start_datestringStart date in YYYY-MM-DD formatNo
end_datestringEnd date in YYYY-MM-DD formatNo
latestboolIf true, returns the current valueNo

Output

IndexNameTypeDescription
0datestringDate (ISO)
1s2f_model_pricestringS2F model price
2closing_pricestringClosing price
3price_s2f_ratiostringPrice / S2F ratio
4deviation_from_s2fstring% deviation from S2F
5deviation_percentilestringDeviation percentile
6ratio_percentilestringRatio percentile
7colorstringColor (deviation-based)
8ratio_colorstringRatio color

Example Request

https://charts.bitbo.io/api/v1/coloured-stock-to-flow/?start_date=2025-05-07&end_date=2025-05-09

Example Request with Latest

https://charts.bitbo.io/api/v1/coloured-stock-to-flow/?latest=true

Code Samples

curl "https://charts.bitbo.io/api/v1/coloured-stock-to-flow/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY"

Example Output

{
"data": [
[
"2025-05-07",
"12.34",
"12.34",
"12.34",
"12.34",
"12.34",
"12.34",
"#ff0000",
"#ff0000"
],
[
"2025-05-08",
"23.45",
"23.45",
"23.45",
"23.45",
"23.45",
"23.45",
"#ff0000",
"#ff0000"
],
[
"2025-05-09",
"34.56",
"34.56",
"34.56",
"34.56",
"34.56",
"34.56",
"#ff0000",
"#ff0000"
]
]
}